Bug 225498 - sound card Maestro 1 recognized ok snd_es1968 but no sound and error log
sound card Maestro 1 recognized ok snd_es1968 but no sound and error log
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
6
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Martin Stransky
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-30 17:19 EST by Fernando
Modified: 2008-05-06 15:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:08:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fc6 automatic log after sound device search not working (28.91 KB, text/plain)
2007-01-30 17:19 EST, Fernando
no flags Details

  None (edit)
Description Fernando 2007-01-30 17:19:46 EST
Description of problem:

Automatic detection of the sound card did not work.  
This audio device will not be available on the system.
You can create /root/scsconfig.log, /root/scsrun.log 
on the System tab and file a new bug
at http://bugzilla.redhat.com.
Please click OK to continue.

Version-Release number of selected component (if applicable):

How reproducible:

setup fc6 on a P4B board PC with a Ensonic AudioPCI ES1370 card

Steps to Reproduce:
1. it is recognized and plays by SuSE 9.1, Ubuntu 6.06, Mandriva 2007 (Alsa
snd_es1968)
2. fc6, update to date Jan, 30 recognizes it, but no sound
  
Actual results:

ALSA lib pcm_hw.c:1357:(_snd_pcm_hw_open) Invalid value for card
aplay: main:550: audio open error: No such device
amixer: Mixer attach default error: No such file or directory

Expected results:


Additional info:

scsconfig.log attached
Comment 1 Fernando 2007-01-30 17:19:46 EST
Created attachment 146971 [details]
fc6 automatic log after sound device search not working
Comment 2 Martin Stransky 2007-01-31 06:48:28 EST
Hm, looks like a driver problem. Please check a new kernel update (2.6.19) or
the latest drivers (how-to is here - http://people.redhat.com/stransky/alsa)
Comment 3 Fernando 2007-02-04 12:52:46 EST
(In reply to comment #2)
> Hm, looks like a driver problem. Please check a new kernel update (2.6.19) or
> the latest drivers (how-to is here - http://people.redhat.com/stransky/alsa)

Thank you for the quick reply. The kernel was updated when this bug report was
posted, and the uname -a outputs:
2.6.19-1.2895.fc6xen #1 SMP Wed Jan 10 19:47:12 EST 2007 i686 i686 i386 GNU/Linux
following the link at http://people.redhat.com/stransky/alsa I have made some
few things, but as an audio newbie:

"Check your card by some low-level utility (like aplay):"

[root@main sounds]# aplay phone.wav 
aplay: main:550: audio open error: No such file or directory
[root@main sounds]# ls
alsa       error.wav    gtk-events  phone.wav      startup3.wav
ekiga      gaim         info.wav    question.wav   warning.wav
email.wav  generic.wav  panel       shutdown1.wav

the same with /usr/bin/aplay

from x 0 to 8
[root@main sounds]# aplay -D hw:x /usr/share/sounds/phone.wav
ALSA lib pcm_hw.c:1357:(_snd_pcm_hw_open) Invalid value for card
aplay: main:550: audio open error: No such device

"Check if mixer channels are unmuted"

alsamixer

alsamixer: function snd_ctl_open failed for default: No such file or directory

from x 0 to 8

alsaunmute x
Wrong card index 0...

http://atrpms.net/dist/fc6/alsa-driver/

[binary rpm]  193k
Jan 21 11:02:25 CET 2007 	
alsa-driver-devel-1.0.14-57_rc2.fc6.at.i386.rpm  - Kernel header files from the
ALSA driver

-> Ok

[binary rpm] 154k
Jan 21 11:02:24 CET 2007 	
alsa-driver-1.0.14-57_rc2.fc6.at.i386.rpm  - The Advanced Linux Sound
Architecture (ALSA) base files

-> Missing Dependency: alsa-kmdl-1.0.14-57_rc2.fc6.at is needed by package
alsa-driver

http://atrpms.net/dist/fc6/alsa-lib/

[binary rpm]  357k
Oct 20 16:32:13 CEST 2006 	
libasound2-1.0.13-32.fc6.at.i386.rpm  - Shared libraries for package alsa-lib

-> ok

[binary rpm] 1.5M
Oct 20 16:32:13 CEST 2006 	
alsa-lib-devel-1.0.13-32.fc6.at.i386.rpm  - Development files for building
against the alsa-lib package

-> error

[('file /usr/lib/alsa-lib/smixer/smixer-ac97.a from install of
alsa-lib-devel-1.0.13-32.fc6.at conflicts with file from package
alsa-lib-1.0.12-2.fc6', (7, '/usr/lib/alsa-lib/smixer/smixer-ac97.a', 0L)),
('file /usr/lib/alsa-lib/smixer/smixer-hda.a from install of
alsa-lib-devel-1.0.13-32.fc6.at conflicts with file from package
alsa-lib-1.0.12-2.fc6', (7, '/usr/lib/alsa-lib/smixer/smixer-hda.a', 0L)),
('file /usr/lib/alsa-lib/smixer/smixer-sbase.a from install of
alsa-lib-devel-1.0.13-32.fc6.at conflicts with file from package
alsa-lib-1.0.12-2.fc6', (7, '/usr/lib/alsa-lib/smixer/smixer-sbase.a', 0L))]

after these I went today (2007.02.04 17:45 TMG) to update all thereis to fc6
it included some alsa stuff, and no sound at the same, even with it correctly
recognized

from the scsconfig.log make after all the above:

------- /proc/asound/version --------
Advanced Linux Sound Architecture Driver Version 1.0.13 (Tue Nov 28 14:07:24
2006 UTC). 

------- rpm -q alsa-lib --------
alsa-lib-1.0.13-1.fc6

------- rpm -q alsa-utils --------
alsa-utils-1.0.13-1.fc6

any test or instrutions I can follow on the other distros in this computer?
they have sound in this same hardware; if I can be of any use for tests please
tell me what to do; I will keep updating; just in case it beguns to works I will
came here and post the news :-)

fernando
Comment 4 Martin Stransky 2007-03-22 06:35:29 EDT
You can report it to ALSA project (www.alsa-project.org), they're authors of
linux sound system. You may need an extra kernel parameter or something.

btw. there're new drivers available, in updated FC6 kernel (1.0.14rc1) and at
http://people.redhat.com/stransky/alsa (1.0.14rc3) so you can check them.
Comment 5 Fernando 2007-03-29 17:21:44 EDT
Martin, this situation is with Kernel 2.6.19-1.2895.fc6xen

About the new alsa 1.0.14 drivers I went to
http://atrpms.net/dist/fc6/alsa-driver/

and downloaded the alsa-driver-1.0.14-58_rc3 
however there is a dependency I was not able to resolve:

rpm -iv alsa-driver-1.0.14-58_rc3.fc6.at.i386.rpm 
warning: alsa-driver-1.0.14-58_rc3.fc6.at.i386.rpm: Header V3 DSA signature:
NOKEY, key ID 66534c2b
error: Failed dependencies:
        alsa-kmdl-1.0.14-58_rc3.fc6.at is needed by
alsa-driver-1.0.14-58_rc3.fc6.at.i386

I could not find any file alsa-kmdl-1.0.14-58_rc3.fc6 there
-------------------------------------------------------------------------------
the other way was to compile it, so I got the alsa-driver-1.0.14rc3 source
and made the recommended steps:

cd alsa-driver-1.0.14rc3
./configure
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for ranlib... ranlib
checking for a BSD-compatible install... /usr/bin/install -c
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking whether time.h and sys/time.h may both be included... yes
checking whether gcc needs -traditional... no
checking for current directory... /root/alsa-driver-1.0.14rc3
checking cross compile... 
checking for directory with kernel source...
/lib/modules/2.6.19-1.2895.fc6xen/source
checking for directory with kernel build... /lib/modules/2.6.19-1.2895.fc6xen/build
checking for kernel linux/version.h... no
The file /lib/modules/2.6.19-1.2895.fc6xen/source/include/linux/version.h does
not exist.
Please install the package with full kernel sources for your distribution
or use --with-kernel=dir option to specify another directory with kernel
sources (default is /lib/modules/2.6.19-1.2895.fc6xen/source)

I could not find any kernel source file 2.6.19-1.2895.fc6xen
-------------------------------------------------------------------------------
then I realized all the tests made before submiting this bug report
were on a fc6.xen kernel after all the updates made; I mean, it was
not ever tested with the standard DVD FC6 setup; so I made a new
fc6 instalation using just the defaults and the 2.6.18-1.2798.fc6
SMP Mon Oct 16 14:37:32 EDT 2006 i686 i686 i386 GNU/Linux Kernel.

The sound works in this one :-)

The sound card was also recognized ok as a snd_es1968 but this time
there was sound. For me this is enough and this bug report can be closed.

btw the following commands
aplay /usr/share/sounds/phone.wav 
aplay -D hw:0 /usr/share/sounds/phone.wav
show	
Playing WAVE '/usr/share/sounds/phone.wav' : Signed 16 bit Little Endian, Rate
44100 Hz, Stereo

alsamixer command now shows a nice 2D bar terminal graph with
Card: ESS Maestro 1
Chip: SigmaTel STAC9701,3,4,5

and the command 
aplay -l /proc/asound/cards

	**** List of PLAYBACK Hardware Devices ****
	card 0: E1 [ESS Maestro 1], device 0: ESS Maestro [ESS Maestro]
	  Subdevices: 4/4
	  Subdevice #0: subdevice #0
	  Subdevice #1: subdevice #1
	  Subdevice #2: subdevice #2
	  Subdevice #3: subdevice #3

since I once was asked to configure an audio alarm for a whether detection
software on a Rehdat Enterprise and was not able to make it work I have
notice many sound problems with Redhat and Fedora, when I can test them.
I find no need to use a fc6.xen kernel at any Project so my motivation is
satisfied :-)

Thank you for you return
Fernando
Comment 6 Bug Zapper 2008-04-04 02:01:38 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 15:08:07 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.